- [HTTP request](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1beta4/tiers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1beta4/tiers/list#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1beta4/tiers/list#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1beta4/tiers/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1beta4/tiers/list#body.TiersListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1beta4/tiers/list#body.aspect)
- [Examples](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1beta4/tiers/list#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1beta4/tiers/list#try-it)

Lists all available machine types (tiers) for Cloud SQL, for example, `db-custom-1-3840`. For related information, see [Pricing](https://docs.cloud.google.com/sql/pricing).

### HTTP request

`GET https://sqladmin.googleapis.com/sql/v1beta4/projects/{project}/tiers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID of the project for which to list tiers. |

### Request body

The request body must be empty.

### Response body

Tiers list response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "items": [ { object (`https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1beta4/tiers#Tier`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` This is always `sql#tiersList`. |
| `items[]` | ``object (`https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1beta4/tiers#Tier`)`` tiers.list of tiers. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).